6.0.0-git
2021-01-24

[#4946] Text_Filter_text2html trips up when links are surrounded in angle brackets
Summary Text_Filter_text2html trips up when links are surrounded in angle brackets
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester chuck (at) horde (dot) org
Created 2007-01-27 (5111 days ago)
Due
Updated 2007-12-05 (4799 days ago)
Assigned 2007-10-01 (4864 days ago)
Resolved 2007-12-05 (4799 days ago)
Milestone
Patch No

History
2007-12-05 01:16:01 Jan Schneider Comment #3
Assigned to Jan Schneider
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Fixed in CVS and Horde 3.2.
2007-10-01 23:32:47 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2007-06-20 03:32:52 Chuck Hagenbuch Comment #2 Reply to this comment
There's a (failing) test for this issue now in the Text_Filter package.
2007-01-27 02:53:01 Chuck Hagenbuch Comment #1
Type ⇒ Bug
State ⇒
Priority ⇒ 1. Low
Summary ⇒ Text_Filter_text2html trips up when links are surrounded in angle brackets
Queue ⇒ Horde Framework Packages
Reply to this comment
calling text2html filter on:

<http://css.maxdesign.com.au/listamatic/>;



results in:

&lt;<a href="http://css.maxdesign.com.au/listamatic/index.htm&gt"; 
target="_blank">http://css.maxdesign.com.au/listamatic/index.htm&gt</a>;;



because the <> are encoded before links are found, and & is legal 
inside urls, so we match up to the ; when linkifying. Possible 
solution: find urls, then call htmlspecialchars(), then replace 
previously found urls with their linked replacements.

Saved Queries